package com.gic.demo.single.web.exception;

import org.springframework.boot.web.server.ErrorPage;
import org.springframework.boot.web.server.ErrorPageRegistrar;
import org.springframework.boot.web.server.ErrorPageRegistry;
import org.springframework.http.HttpStatus;
import org.springframework.stereotype.Component;

/**
 * @author zhurz
 */
@Component
public class CustomErrorPageRegistrar implements ErrorPageRegistrar {

    @Override
    public void registerErrorPages(ErrorPageRegistry errorPageRegistry) {
        for (HttpStatus httpStatus : HttpStatus.values()) {
            errorPageRegistry.addErrorPages(new ErrorPage(httpStatus, "/error-" + httpStatus.value()));
        }
    }
}